function this = reconstruct_model_params( this, varargin )

% this = reconstruct_model_params( this, [training_data] )
%
% Recomputes the model params if they are missing. The resulting model will be
% either in non-precomputed state with precomputed model params (if it was
% originally either in this state or in non-precomputed state), or stay in
% precomputed state if it was in that state already.
%
% The dataset needed for reconstruction is taken either from the
% 'training_data' argument, or if it is missing, from the field 'data' of the
% global struct 'State' (i.e., 'State.data'). The dataset must be the same that
% was originally used to train this model.


%  This file is a part of the Independent Variable Group Analysis package
% 
%  Copyright (C) 2001-2006 Esa Alhoniemi, Antti Honkela, Krista Lagus,
%  Jeremias Seppa, Harri Valpola, and Paul Wagner
% 
%  This program is free software; you can redistribute it and/or modify
%  it under the terms of the GNU General Public License as published by
%  the Free Software Foundation; either version 2, or (at your option)
%  any later version.
% 
%  This program is distributed in the hope that it will be useful,
%  but WITHOUT ANY WARRANTY; without even the implied warranty of
%  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%  GNU General Public License (included in file License.txt in the
%  program package) for more details.


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


if has_model_params( this ), return; end

this = reconstruct( this, varargin{:} );
this = purge_dataset_specifics( this );

return;
