function Output = display_batch_compare(Summary, n, show_details, nodisplay)



%  This file is a part of the Independent Variable Group Analysis package
% 
%  Copyright (C) 2001-2006 Esa Alhoniemi, Antti Honkela, Krista Lagus,
%  Jeremias Seppa, Harri Valpola, and Paul Wagner
% 
%  This program is free software; you can redistribute it and/or modify
%  it under the terms of the GNU General Public License as published by
%  the Free Software Foundation; either version 2, or (at your option)
%  any later version.
% 
%  This program is distributed in the hope that it will be useful,
%  but WITHOUT ANY WARRANTY; without even the implied warranty of
%  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
%  GNU General Public License (included in file License.txt in the
%  program package) for more details.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Output{1} = Summary.Matches;
if show_details
  Output{2} = Summary.ExactMatches;
end

if nodisplay, return; end

hold on
for i = 1:n
  h = barh(i, Output{1}(i));

  if show_details
    g = barh(i, Output{1}(i) - Output{2}(i));
    set(g, 'facecolor', 'k');
    set(h, 'facecolor', 'w');
  else
    set(h, 'facecolor', 'k');
  end
end

set(gca, 'ytick', 1:n, 'yticklabel', 1:n)

ylabel('Reference group n:o')
xlabel('Group members present in groups [%]')
axis tight

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
